Package it.ernytech.tdlib

## Class TdApi.DeviceTokenGoogleCloudMessaging

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.DeviceToken
    - - it.ernytech.tdlib.TdApi.DeviceTokenGoogleCloudMessaging

Enclosing class:
  TdApi

    public static class TdApi.DeviceTokenGoogleCloudMessaging
    extends TdApi.DeviceToken

A token for Google Cloud Messaging.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `token` Device registration token, may be empty to de-register a device.

### Constructor Summary

Constructors
`DeviceTokenGoogleCloudMessaging()` Default constructor.
`DeviceTokenGoogleCloudMessaging​(java.lang.String token)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### token

    public java.lang.String token

Device registration token, may be empty to de-register a device.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### DeviceTokenGoogleCloudMessaging

    public DeviceTokenGoogleCloudMessaging()

Default constructor.

#### DeviceTokenGoogleCloudMessaging

    public DeviceTokenGoogleCloudMessaging​(java.lang.String token)

Constructor for initialization of all fields.

Parameters:
  `token` - Device registration token, may be empty to de-register a device.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR